Submit Lodgement Case to HMLR

This API is used to manually submit a lodgement case to HMLR for processing. This triggers the submission workflow for the specified lodgement case.

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/submit

Path Parameters

lodgement_case_idstring(uuid)required

Lodgement case id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Response

NO CONTENT - Lodgement case submitted successfully

post/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/submit
 

Download Title Document - JSON

This API is used to download document content in JSON format from an existing workspace

get
https://api.pexa.co.uk/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/titles/{title_id}/title-documents

Query Parameters

document_typestring

Supported document types in title

Allowed values:TITLE_REGISTERTITLE_INFORMATION_DOCUMENTEARLY_COMPLETION_TITLE_INFORMATION_DOCUMENT

Path Parameters

lodgement_case_idstring(uuid)required

Lodgement case id

title_idstring(uuid)required

Title id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Response

application/json

OK

recordsarray[object]
Show Child Parameters
get/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/titles/{title_id}/title-documents
 
application/json

Add Title To Workspace

Add title to workspace to be retrieved from HMLR using Title number

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/workspaces/{workspace_id}/titles

Path Parameters

workspace_idstring(uuid)required

Workspace id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
titleNumberstringrequired

Title number format: optional 0-3 letters + 1-6 digits

Example:ABC123456

Response

application/json

ACCEPTED

messagestringrequired

Example:Request taken up for processing

post/partner/api/platformconnect/v1/workspaces/{workspace_id}/titles

Body

{ "titleNumber": "ABC123456" }
 
application/json

Submit Signing Request

This API is used to initiate the QES signing process for a lodgement application.

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/submit-signing-request

Path Parameters

lodgement_case_idstring(uuid)required

Lodgement case id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
applicationIdsarray[string](uuid)required

Identifiers of the application document(s) to submit for signing. Exactly one application id is currently supported.

>= 1 items<= 1 items

Example:["0450bfa9-6810-4276-9d06-b26836d94a9c"]

Response

application/json

CREATED - Signing request submitted successfully

signingInstructionIdstring(uuid)required

Unique identifier for the created signing instruction

Example:a1b2c3d4-e5f6-7890-abcd-ef1234567890

statusstringrequired

Current status of the signing instruction

Example:CREATED

post/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/submit-signing-request

Body

{ "applicationIds": [ "0450bfa9-6810-4276-9d06-b26836d94a9c" ] }
 
application/json

Cancel Signing Request

This API is used to cancel the signing request for a lodgement application.

post
https://api.pexa.co.uk/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/cancel-signing-request

Path Parameters

lodgement_case_idstring(uuid)required

Lodgement case id

Headers

X-Request-Correlation-Idstring

The unique identifier for the request

Body

application/json
applicationIdsarray[string](uuid)required

Identifiers of the application(s) to cancel from signing.

>= 1 items<= 1 items

Example:["0450bfa9-6810-4276-9d06-b26836d94a9c"]

cancellationReasonstring

Reason for cancelling the signing request.

Allowed values:
[INCORRECT_EMAIL_ADDRESS, IDENTITY_VERIFICATION_FAILED, CORRECTION_TO_BE_MADE_TO_THE_DOCUMENT, SIGNER_DOES_NOT_WANT_TO_PROCEED_WITH_QES, OTHER]

Match pattern:^(INCORRECT_EMAIL_ADDRESS|IDENTITY_VERIFICATION_FAILED|CORRECTION_TO_BE_MADE_TO_THE_DOCUMENT|SIGNER_DOES_NOT_WANT_TO_PROCEED_WITH_QES|OTHER)$

Example:INCORRECT_EMAIL_ADDRESS

cancellationNotesForOtherstring

Mandatory when cancellationReason “OTHER” is provided

>= 1 characters<= 200 characters

Example:Signer no longer available

Response

NO CONTENT - Signing request cancelled successfully

post/partner/api/platformconnect/v1/lodgement-cases/{lodgement_case_id}/cancel-signing-request

Body

{ "applicationIds": [ "0450bfa9-6810-4276-9d06-b26836d94a9c" ] }